using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard.Attributes;
using XYY.Core.Standard;

namespace XYY.Service.Standard.First.ESB
{
    public class ZZESBTrackingApiInfo
    {
        [DisplayName("序号")]
        [NoDb]
        public int SeqNum
        {
            get; set;
        }

        public int Id
        {
            get; set;
        }


        [DisplayName("运单号")]
        public string trackNum
        {
            get; set;
        }


        [DisplayName("轨迹地点")]
        public string location
        {
            get; set;
        }

        [DisplayName("轨迹状态")]
        public string state
        {
            get; set;
        }


        [DisplayName("轨迹时间")]
        public string time
        {
            get; set;
        }

        [DisplayName("unix时间戳")]
        public long timeAsUnix
        {
            get; set;
        }

        [DisplayName("轨迹地点所属国家")]
        public string country
        {
            get; set;
        }

        [DisplayName("key")]
        public string key
        {
            get; set;
        }

        [DisplayName("推送状态")]
        public PushStatus PushStatus
        {
            get; set;
        }

        [DisplayName("推送返回消息")]
        public string ResultMsg
        {
            get; set;
        }


        [DisplayName("消息时间")]
        public DateTime CreateTime
        {
            get; set;
        }
    }
}
